Release History
2.28.0
2026-10-06
- Routing
- Geocoder
- All geocoder endpoints can now be used with TomTom Orbis data (by setting
provider=orbis) - Endpoints
[GET] /geocoderand[GET] /geocoder/structurednow return an additional address propertyexonym(see tutorial)
- All geocoder endpoints can now be used with TomTom Orbis data (by setting
- Storage
- Fixed: Requests to all storage endpoints did not show up in
[GET] /usage
- Fixed: Requests to all storage endpoints did not show up in
- Miscellaneous
- Moved Release History from separate page to tutorial
2.27.0
2026-09-08
- Routing
- Detour
- Removed deprecated endpoints
[GET] /detour/attribute/prioritize,[GET] /detour/attribute/penalizeand[GET] /detour/file/{fileid}/turnrestriction
- Removed deprecated endpoints
- FollowMe
- Removed deprecated endpoints
[GET] /followme/devicesand[GET] /followme/devices/details
- Removed deprecated endpoints
- Remote
- Removed deprecated property
DeviceStatus.lastContact
- Removed deprecated property
- Miscellaneous
- Improved some error codes and problem details
2.26.1
2026-08-10
- Detour
- Fixed
[GET] /detour/file/{fileid}/segment/openlr/{openlr}for OpenLR codes with slashes - Fixed a problem with line breaks in the attribute
comment
- Fixed
2.26.0
2026-08-04
- Storage
- New storage API to create, read, update and delete labels, vehicles, locations and tours for MapTrip Maps (see tutorial)
- Geocoder
- Address has new property
postalcodeto standardize terminology.zipcodeis still present, but deprecated
- Address has new property
- Detour
- New endpoint
[GET] /detour/file/{fileid}/segment/openlr/{openlr}to query all segments with the provided OpenLR code in a file (see tutorial) - The endpoint
[DELETE] /detour/file/{fileid}/segmentsnow accepts a list of segments in the body. If a list is provided, these segments are deleted; otherwise all segments are deleted from the file (see tutorial)
- New endpoint
2.25.4
2026-06-18
- Routing
- Internal changes to parameter handling
2.25.3
2026-06-01
- Routing
- Fixed: Sending an empty start time (
startTime=) returned a400 Bad Request - Updated route flavors (see tutorial)
- Fixed: Sending an empty start time (
- Remote
- The endpoint
[GET] /remote/status/allnow also returns devices with the new statusUnknown(i.e. there is no status stored in the MapTrip backend)
- The endpoint
- Detour
- Property
profileof the schemaDetourFileno longer contains the name of the detour pot
- Property
2.25.2
2026-05-08
- Routing
- Fixed a bug that could occur in endpoint
[GET] /route/reference
- Fixed a bug that could occur in endpoint
- Miscellaneous
- Internal changes to handling of dates with time zones
- Internal changes to caching
2.25.1
2026-04-27
- Matrix
- Increased region size (see tutorial)
- Added provider TomTom Orbis for matrix calculation
- Route Optimization
- Increased region size and maximum number of stops (see tutorial)
- Added provider TomTom Orbis for route optimization
2.25.0
2026-04-15
- Routing
- Matrix
- Added time to live to matrix calculation results (see tutorial)
- Route Optimization
- Added time to live to route optimization results (see tutorial)
- Remote
- Directions returned by
[GET] /remote/route/{device}now contain text attribute
- Directions returned by
- Miscellaneous
- Swagger UI now with light dark theme
2.24.3
2026-03-30
- POI
- Endpoint
[GET] /poi/parking/{from}/{to}: Fixed HappyTrucker parking areas
- Endpoint
2.24.2
2026-03-03
- Detour
- Fixed point features for endpoint
[GET] /detour/file/{fileid}/geojson
- Fixed point features for endpoint
- FollowMe
- Endpoint
[DELETE] /followme/folder/{folder}/file/{file}occasionally returned wrong status code
- Endpoint
2.24.1
2026-02-24
- Routing
- Invalid values for
signageare ignored (Orbis only) - Internal changes to routing request parameters
- Invalid values for
- Remote
- Endpoints
[GET] /remote/status/{device}and[GET] /remote/status/allno longer return an invalid coordinate if device location is unknown
- Endpoints
2.24.0
2026-01-28
- Routing
- Routing endpoints
[GET] /routenow support route flavors (see tutorial) - Added cost to route summary and new parameters
costPerKilometerandcostPerHour(see tutorial) - Vehicle type
truckis deprecated and replaced bytruck_highway(see tutorial) - Fixed distance calculation for routes which had multiple stops at the same coordinate
- Routing endpoints
- Remote
- Endpoint
[POST] /remote/route/itinerary/{device}now allows via points to be handled as reference routes in MapTrip - Endpoint
[POST] /remote/route/reference/{device}prevents sending reference routes to versions which cannot handle them
- Endpoint
- Detour
- New endpoints
[GET] /detour/attribute/addressand[GET] /detour/attribute/comment(see tutorial)
- New endpoints
2.23.2
2025-12-11
- Added provider TomTom Orbis for routing, detour and mapdata endpoints
2.23.1
2025-11-20
- Endpoint
[GET] /remote/devices/detailsnow has new propertytype(see tutorial) - Endpoint
[GET] /routenow returnslengthfor all destinations of a route (see tutorial) - Fixed endpoint
[GET] /route/etawith waypoints: It now returns a list of summary objects, one for each waypoint and the destination
2.23.0
2025-10-17
- New endpoints
[GET] /poi/roadworks/points/{from}/{to}and[GET] /poi/roadworks/lines/{from}/{to}(see tutorial) - New
filterparameter for endpoints[GET] /detour/file/{fileid}/geojson,[GET] /detour/file/{fileid}/segment/all,[GET] /detour/file/{fileid}/road/alland[GET] /detour/file/{fileid}/turnrestriction/all(see tutorial) - New endpoints
[GET] /followme/folder/{folder}/devicesand[GET] /followme/folder/{folder}/devices/detailsto query the devices of a FollowMe folder / pot (replacing deprecated endpoints[GET] /followme/devicesand[GET] /followme/devices/details, see tutorial) - Fixed:
[GET] /followme/devicesand[GET] /followme/devices/detailsreturned devices that were assigned to multiple pots multiple times
2.22.0
2025-08-05
- Endpoints
[GET] /poi/fuelstations/{from}/{to},[GET] /poi/fuelstations/{fuelType}/{from}/{to}and[GET] /poi/fuelstations/{id}to query fuel stations and prices (see tutorial) - Endpoint
[GET] /poi/parking/{from}/{to}now also returns information from Toll Collect Stellplatz-Informationsdienst (see tutorial) [GET] /route: Improved problem details when called with a non-existing Detour file
2.21.1
2025-07-11
- Endpoint
[GET] /detour/file/{fileid}/geojson: Fixed format of time domains - Endpoints
[GET] /routeand[GET] /poi/parking/{from}/{to}: Malformed values forAccept-Languageno longer return internal server errors
2.21.0
2025-07-02
- Endpoint
[GET] /route: Option to request toll costs for truck routes in Germany (see tutorial) - Endpoint
[GET] /route: Improved obstacles along the road (see tutorial) - Endpoints
[GET] /route,[GET] /route/etaand[GET] /route/reference: New parameteremergencyRouting(see tutorial) - Endpoint
[GET] /route: Fixed the calculation of driving time and ETA for off-road starts and destinations (see tutorial) - Endpoint
[GET] /usagenow returns some additional statistics (see tutorial)
2.20.3
2025-06-11
- Internal change to parking areas
2.20.2
2025-05-26
- Internal change to usage counters
2.20.1
2025-05-19
- Fix: Requests without
Acceptheader did not get proper problem details
2.20.0
2025-05-09
2.19.1
2025-03-18
- Limited all
/remoteendpoints to devices with the license optionremote
2.19.0
2025-03-06
- New endpoint
[GET] /geocoder/autocomplete(see tutorial) - New endpoint
[GET] /followme/folder/{folder}/status(see tutorial) - New endpoint
[GET] /followme/folder/{folder}/remarks(see tutorial)
2.18.1
2025-01-27
- Fixed: Endpoint
[POST] /detour/file/{fileid}/segmentsdid not accept segments of typeCutPoint
2.18.0
2025-01-14
- Supports problem details according to RFC 9457 (see tutorial)
- Endpoint
[GET] /routenow returns all countries through which a route passes (see tutorial) - Endpoint
[GET] /routenow adds a direction when a country border is crossed (see tutorial) - New endpoint
/detour/file/{fileid}/geojsonto allow visualization of a Detour file in maps (see tutorial) - Endpoints
/remote/route/itinerary/{device}and/remote/route/reference/{device}: Limited length and allowed characters formessage - Fixed: The descriptions of some error messages were in German instead of English
2.17.2
2024-12-20
- Internal change to usage counters
2.17.1
2024-11-19
- Endpoint
[POST] /detour/file/{fileid}/turnrestriction/addnow allows setting the validity - Internal change to endpoint
[POST] /detour/file/{fileid}/segments
2.17.0
2024-11-04
- New
queryparameter for endpoints[GET] /detour/file/{fileid}/segment/all,[GET] /detour/file/{fileid}/road/alland[GET] /detour/file/{fileid}/turnrestriction/all(see tutorial) - Endpoint
[POST] /detour/file/{fileid}/turnrestriction/addnow can be called with a description for the turn restriction and replaces deprecated endpoint[POST] /detour/file/{fileid}/turnrestriction - Endpoint
[POST] /detour/file/{fileid}/turnrestriction/removenow can be called with a description for the turn restriction - Removed deprecated endpoints
[GET] /detour/attribute/vehicle/tunnelRestrictionCode(deprecated since V2.10.0)[GET] /detour/turnrestrictions/geojson/{from}/{to}(deprecated since V2.10.0)[GET] /detour/attribute/unblock(deprecated since V2.8.0)
2.16.1
2024-09-11
- Endpoint
[GET] /routenow returns the meters with toll up to this destination for all intermediate destinations of a route (see tutorial) - Endpoint
[POST] /remote/route/itinerary/{device}no longer uses the coordinate as default if no name is passed, so that the address is displayed more nicely in MapTrip - Fixed error handling if resolving the token's company fails
2.16.0
2024-08-16
- Endpoint
[GET] /routenow returns driving time and estimated time of arrival for all intermediate destinations of a route (see tutorial)
2.15.1
2024-07-25
- Internal changes to the usage limits
2.15.0
2024-06-24
- New
[POST] /detour/file/{fileid}/turnrestriction/editto edit validity and description of a turn restriction (see tutorial) - The endpoint
[GET] /usagenow returns both daily and monthly usage data - Fixed:
[POST] /detour/file/{fileid}/road/matchnow ensures that the coordinates can be matched to different road segments, and otherwise returns400 Bad Request - Fixed: Endpoint
[GET] /remote/route/{device}/now returns length of route and length with toll
2.14.0
2024-05-24
- New endpoint
[GET] /detour/attribute/speedto override the driving speed of a segment replaces the deprecated endpoints[GET] /detour/attribute/prioritizeand[GET] /detour/attribute/penalize - Driving directions of routes now have a text (see tutorial for an example and how to change the language)
- Endpoint
[GET] /route: AttributedrivingTimeadjusted so that time for turning maneuvers is included - Fixed a caching issue for
[PUT] /remote/name/{device}and[PUT] /remote/notes/{device} - Detour endpoints to create or update segments or roads returned wrong status code if an attribute had no name or no value
2.13.0
2024-04-18
- Routes now have additional directions "continue on ..." for name changes
- Routes now have names
- New parameter useTurnRestrictions for endpoints
[GET] /routeand[GET] /route/reference - New parameter defaultRouting for endpoint
[GET] /detour/attribute/validity - New endpoint
[GET] /mapdata/prohibitedfortrucks/geojson/to query roads prohibited for trucks (see tutorial) - Additional properties for endpoint
[GET] /mapdata/vehicleattributes/geojson/{from}/{to}(see tutorial)
2.12.1
2024-04-10
- Remote endpoints now accept long device IDs used by Apple devices
- Fixed: Endpoint
[GET] /routereturned an error if parameter waypoints was present but empty
2.12.0
2024-03-07
- Each error that occurs in the API now has a unique code to simplify error handling, see tutorial
- New endpoint
[GET] /usageto query your usage of the MapTrip Server API - New endpoint
[PUT] /detour/file/{fileid}/road/{roadid}to update roads created with Detour - Both
[GET] /detour/attribute/prioritizeand[GET] /detour/attribute/penalizenow have an optional parameterdirection - Both
GET /remote/status/{deviceid}andGET /remote/status/allnow return additional information when MapTrip is on a tour - Fixed
GET /remote/status/{deviceid}andGET /remote/status/allfor devices missing version, application or platform information - All remote endpoints can now access all MapTrip devices of your company
- The Endpoints
[GET] /routeand[GET] /route/referencenow return400 Bad Requestwhen avoid highways is set and the route exceeds 100 km (beeline distance) - The Endpoints
[POST] /matrix/asyncand and[POST] /matrix/syncnow return400 Bad Requestwhen avoid highways is set and the matrix diameter exceeds 100 km - Fixed status codes for detour endpoints with a token not configured for detour
- Updated documentation on adding and dividing roads in tutorial
- Updated documentation on traffic flows and statistical traffic information in tutorial
2.11.2
2023-12-18
- Fixed a bug in
[GET] /remote/route/{device}
2.11.1
2023-11-08
- Device status was occasionally set incorrectly for
[GET] /remote/status/{device}and[GET] /remote/status/all - Fixed truck attributes for roads uploaded with
[POST] /detour/file/{fileid}/segments - Endpoints
[PUT] /detour/file/{fileid}/segment/{segmentid}and[POST] /detour/file/{fileid}/segmentsno longer accept invalid truck attributes - Updated response for
429 Too Many Requests - Added HTTP header
x-iw-regionsizeto endpoints[POST] /matrix/asyncand[POST] /matrix/sync(see tutorial)
2.11.0
2023-10-10
- New endpoint
[GET] /remote/status/allto query the status of all your MapTrip devices at once [POST] /remote/route/itinerary/{device}: Both the itinerary and the addresses can now have an ID and a name[GET] /remote/status/{device}and[GET] /remote/status/allnow return the driving direction in degrees (if known, default is 0)- Endpoint
[POST] /detour/file/{fileid}/segment/matchreplaces the deprecated endpoint[POST] /detour/match - Fixed endpoint
[GET] /detour/attribute/deleteroad - Fixed OpenLR codes for
[GET] /detour/turnrestrictions/{from}/{to} - Improved examples in the specification
2.10.1
2023-07-24
- Fixed some status codes for these endpoints:
[POST] /authenticate[GET] /route[GET] /route/reference[GET] /followme/folder/{folder}/file/{file}/csv[GET] /followme/folder/{folder}/file/{file}/csv/{date}[GET] /followme/folder/{folder}/file/{file}/ride/{ride}/status
2.10.0
2023-06-29
- Endpoints related to map data, see tutorial
- New endpoint
[GET]/mapdata/roadsegments/geojson/{coordinate}to query name, type and speed of a road segment - Endpoint
[GET] /mapdata/turnrestrictions/geojson/{from}/{to}replaces the deprecated endpoint[GET] /detour/turnrestrictions/geojson/{from}/{to} - Endpoint
[GET] /mapdata/vehicleattributes/geojson/{from}/{to}to query vehicle attributes like height or weight limits
- New endpoint
- Detour endpoints:
- New endpoint
[POST] /detour/file/{fileid}/segment/divideto divide a road segment - New endpoint
[GET] /detour/attribute/removedvehicleattributesto remove existing vehicle attributes from the map data, see tutorial - New endpoint
[GET] /detour/file/{fileid}/connectivityto check if you need to update a Detour file due to map data updates - Endpoint
[GET] /detour/attribute/vehicle/tunnelrestrictioncodereplaces the deprecated endpoint[GET] /detour/attribute/vehicle/tunnelRestrictionCode
- New endpoint
- MapTrip Remote endpoints: (see tutorial)
- New endpoint
[PUT] /remote/name/{device}to rename a device - New endpoint
[PUT] /remote/notes/{device}to add notes to a device
- New endpoint
2.9.4
2023-06-06
- Fixed reading of Detour files with ignored vehicle attributes
- Slightly increased radius for endpoint
[POST] /detour/file/{fileid}/road/match
2.9.3
2023-05-11
- Fix: FollowMe endpoints did not work for files and folders with numerical names
2.9.2
2023-04-20
- Fix for endpoint
[POST] /detour/file/{fileid}/segments
2.9.1
2023-03-22
- Fix for
[GET] /detour/file/{fileid}/road/all
2.9.0
2023-03-14
- Batch insert and delete to detour files, see tutorial:
- Endpoint
[POST] /detour/file/{fileid}/segmentsto batch insert Detour segments - Endpoint
[DELETE] /detour/file/{fileid}/segmentsto remove all segments from a Detour file
- Endpoint
- New endpoint
[GET] /detour/attribute/deleteroadto query attributes which remove a road from the map data - New endpoint
[GET] /detour/attribute/validityto define whether segment attributes should be considered for emergency routes or not (see tutorial) - New endpoint
[GET] /detour/attribute/descriptionto add descriptions to segments which are shown in the Detour Editor - New endpoints for turn restrictions:
[GET] /detour/file/{fileid}/turnrestriction/allto query all added or removed turn restrictions from a file (see tutorial)[GET] /detour/file/{fileid}/turnrestriction/{turnrestrictionid}to query one added or removed turn restriction from a file[POST] /detour/file/{fileid}/turnrestriction/removeto delete added or removed turn restrictions from a file (see tutorial)
- All geocoder endpoints now add administrative areas to addresses if available see tutorial
- Adding and updating Detour segments, turn restrictions and roads adds created, modified and modified by attributes which are shown in the Detour Editor
- Fixed route optimization with time slots
2.8.0
2023-01-23
- Switched to an OpenAPI 3.0 specification (YAML and JSON)
- Endpoint
[GET] /detour/attribute/unblockis deprecated and replaced by[GET] /detour/attribute/open - Endpoints
[GET] /detour/attribute/prioritizeand[GET] /detour/attribute/penalizenow can be parameterized - Endpoints for Turn Restrictions, see tutorial:
[GET] /detour/turnrestrictions/{from}/{to}to query turn restrictions from the map data[GET] /detour/turnrestrictions/geojson/{from}/{to}to query turn restrictions from the map data[POST] /detour/file/{fileid}/turnrestriction/removeto remove turn restrictions from the map data[POST] /detour/file/{fileid}/turnrestrictionto add new turn restrictions
- Fixes:
- Fixed a bug in
[GET] /route - Fixed
[GET] /routewithoutstartTime(time-independent route) - Fixed vehicle attributes for
[POST] /detour/file/{fileid}/road
- Fixed a bug in
2.7.2
2022-12-12
- The endpoints
[GET] /detour/devicesand[GET] /detour/devices/detailednow also return devices from device groups - The endpoints
[GET] /followme/devicesand[GET] /followme/devices/detailednow also return devices from device groups - The endpoints
[GET] /remote/devicesand[GET] /remote/devices/detailednow also return devices from device groups - For optimizations with invalid coordinates,
[GET] /optimize/stops/{id}now returns400 Bad Requestinstead of500 Internal Server Error - For attributes with invalid values,
[POST] /detour/file/{fileid}/segmentnow returns400 Bad Requestinstead of500 Internal Server Error
2.7.1
2022-11-22
- Endpoint
[GET] /route/reference: Added more coordinates to CSV (when called without distance) to speed up calculation in MapTrip - Fixed some response codes in the documentation
2.7.0
2022-10-31
- Added emergency routing, see tutorial
2.6.0
2022-10-04
- Endpoints to create new roads with MapTrip Detour, see tutorial
2.5.0
2022-09-13
- Detour vehicle attributes:
- New endpoint
[GET] /detour/attribute/vehicle/axles - New endpoint
[GET] /detour/attribute/vehicle/tunnelRestrictionCode
- New endpoint
- Detour time domains
- New endpoint
[GET] /detour/attribute/timedomain/start - New endpoint
[GET] /detour/attribute/timedomain/end - New endpoint
[GET] /detour/attribute/timedomain/daily - New endpoint
[GET] /detour/attribute/timedomain/weekly - New endpoint
[GET] /detour/attribute/timedomain/monthly
- New endpoint
2.4.0
2022-06-23
- The endpoint
[POST] /remote/route/referencehas a new parameterdoGuideThroughStartingPoint - RouteSummary now has attribute
delay, which indicates the delay on the route under current traffic situation in seconds - The endpoints
[GET] /routeand[GET] /route/referencenow have parameters to take low emission zones into account
2.3.0
2022-06-08
- New endpoint
[POST] /authenticate/apikeyto obtain a JWT as an alternative to[POST] /authenticate, see obtaining a JWT token with an API key
2.2.0
2022-05-27
- Endpoint
[GET] /routenow returns obstacles on the route in the route summary
2.1.1
2022-04-19
- Endpoint
[GET] /route/referencenow has a parameter distance that specifies the distance between the coordinates; if no distance is specified, one coordinate per segment is chosen
2.1.0
2022-03-10
- Added endpoints to use Detour API with MapTrip
2.0.2
2022-03-03
- The duration for how long the token is valid can be specified in
[POST] /authenticate(up to 30 days) - Fix:
/geocoder/structureddid not return multiple results - Fix: Segments with
/detour/attribute/blockare used by MapTrip now
2.0.1
2022-02-17
- Added optional message to
[POST] /remote/route/reference/{device} - Itineraries can now contain (named) addresses in
[POST] /remote/route/itinerary/{device}
2.0.0
2022-02-09
- Added MapTrip Remote API
1.6.0
2022-01-20
- Added Matrix API
1.5.2
2021-12-20
- Optimization: Fixed a problem with leading and trailing blanks in names
1.5.1
2021-12-10
- Result of
[GET] /optimize/stops/{id}changed due to a bug in openapi-generator with HTTP Status 204 - Optimization: Stops with invalid names are no longer ignored but product HTTP Status 400
1.5.0
2021-10-13
- Added MapTrip FollowMe API
1.4.1
2021-09-22
- Fixed model documentation for Direction and TimeSlot
1.4.0
2021-09-15
- Added Optimization API
1.3.1
2021-08-20
- Improved Detour API: Prioritize and penalize can be used without speed parameter
1.3.0
2021-08-18
- Added prioritize and penalize Detour API
1.2.1
2021-08-13
- Improved route directions
1.2.0
2021-08-11
- Added vehicle attributes to Detour API
1.1.0
2021-07-28
- Added to Detour API
1.0.0
2021-07-16
- Added Geocoding and Routing API